clipproperties: Fixed a bug where keyframes were added on selection change
ClosedPublic

Authored by stefanzzz on Jul 4 2017, 4:04 PM.

Details

Summary

When changing the selected clip, a new keyframe was added incorrectly. This
happened because the transformation spin buttons values were updated
before clearing the previous control bindings, which was interpreted as
a new keyframe being added on the old selected clip. The fix consists of
updating the spin buttons values after clearing the previous control
bindings.

Depends on D1767

Diff Detail

Repository
rPTV Pitivi
thiblahute requested changes to this revision.Jul 7 2017, 2:07 AM

Explain how that fixes the bug in the commit message.

This revision now requires changes to proceed.Jul 7 2017, 2:07 AM
thiblahute accepted this revision.Jul 18 2017, 6:44 PM
This revision is now accepted and ready to land.Jul 18 2017, 6:44 PM
This revision was automatically updated to reflect the committed changes.